Sign in to follow this  
Followers 0
ganyiki

Radeon X1400?

25 posts in this topic

Hi,

I have a Dell E1705 laptop with a Radeon X1400 video card with 8.261 driver (This should be Shader 3.0 according to ATI's website). I was able to play Battleground Europe about 6 months ago (before the 1.31 upgrade), but now I can't.

I can select my career and a brigade and a unit type. After that, when I'm actually trying to load the map and start playing, it just dies. No error message. Nothing. Just dead.

I do get an error when it first starts loading the game about needed Shader 1.2 or greater. I ignore this because I should have Shader 3.0. I don't know why I get this error message.

My WW2_Log.txt says:

Wed Dec 31 18:21:06 1969 network election of 2 addresses: 66.28.224.143:68ms. 209.144.109.143:102ms. Winner: 66.28.224.143

[Wed Dec 31 18:23:51 1969] Netcode2:66.28.224.145 Opening 66.28.224.145...

[Wed Dec 31 18:23:51 1969] Netcode2:66.28.224.145 Opened

[Wed Dec 31 18:23:57 1969] Netcode2:66.28.224.145 Established

Date and time: 7/5/2010 1:51:01

Program compile time: Jun 10 2010 11:45:28

File version: 1, 31, 1, 255

GL Vendor: ATI Technologies Inc.

Renderer: ATI Mobility Radeon X1400 x86/SSE2

Access violation: Illegal read by 007922EF at 00000000

OS-Version: 5.1.2600 (Service Pack 3) 0x100-0x1

[007922EF] (ww2): :

[007FA09E] (ww2): :

[0066C99F] (ww2): :

[0066C0D9] (ww2): :

[00488FB2] (ww2): :

[0078CF08] (ww2): :

Any help would be appreciated. I don't want to cancel my subscription over a bug.

Cheers.

Share this post


Link to post
Share on other sites

are you sure you got the correct driver for your operating system?

usually when you get that "shader model 1.2" error its because your missing your VGA driver

Share this post


Link to post
Share on other sites

The driver is from Dell's website, so I have to assume it's correct. Also, the version number I have matches what is on ATI's website.

I forgot to mention I am running Windows XP Pro SP 3.

I just tried uninstalling and reinstalling with the update/patch. Will report back.

Share this post


Link to post
Share on other sites

Still no good. I can see the quote right before the map loads, but it just dies as soon as it tries to draw anything.

Does anybody know what else I can try?

Share this post


Link to post
Share on other sites

Yeah sorry to say this but thats an awful spec card and for this game in particular it does not surprise me it's not working.

It was released in June 2006 and is similar in many performance specs to a Geforce 6500 or 7200GS.

A texture fill and pixel fill rate of 1700

In comparision a 9800GT does 9600 and 33600 and other mainstream cards much more. (An X1800xl as other user posted does 8000 pixel and texture fill)

Might be worth playing with some ingame settings but I've a feeling your going to struggle

Share this post


Link to post
Share on other sites
Still no good. I can see the quote right before the map loads, but it just dies as soon as it tries to draw anything.

Does anybody know what else I can try?

bud420 had a problem where his game would crash soon as it tried loading into the game world.

he fixed it by lowering his game resolution. try that and see if it works. hes out in perkins at the ranch, ill hit him up when hes back and ask him what he did exactly to fix it.

Share this post


Link to post
Share on other sites
bud420 had a problem where his game would crash soon as it tried loading into the game world.

he fixed it by lowering his game resolution. try that and see if it works. hes out in perkins at the ranch, ill hit him up when hes back and ask him what he did exactly to fix it.

Yeah exactly start at the lowest point, turn everything off you can and go to the lowest possible res and work upwards.

In the last versions I even got a old integrated macbook card running a healthy 1 -3 fps :)

Share this post


Link to post
Share on other sites

It's quite annoying because it ran quite well under the pre-1.31 release. I wish it were possible to play with the old client.

I'll see if I can get 1.31 to work with much diminished quality.

Does anyone know why the Shader message would come up on this video card? According to ATI, I should have Shader 3.0, which is well above 1.2

Edited by ganyiki

Share this post


Link to post
Share on other sites

It appears to play on the "best performance" settings. I am non-plussed.

Thanks for the suggestion.

Share this post


Link to post
Share on other sites

Does anyone know why the Shader message would come up on this video card? According to ATI, I should have Shader 3.0, which is well above 1.2

That bit is somewhat misleading. From 1.31 the game requires SM3.0. why the message says 1.2 I don't know, I don't know the details about that.

Why the message appears when the card should have SM3.0 I have no straight answer to but instinctively I'd say a driver problem.

One easy way to check if SM3.0 is in the card and working is to run 3DMark06. The free version is enough. The sequences that require SM3.0 will not run in the default benchmark if the card doesn't support SM3, and if it does but there's some driver problems you will quickly notice that during the benchmark.

Share this post


Link to post
Share on other sites

Thanks for the idea to use the benchmark. I'll try that tonight.

Do you happen to know which graphics settings I CANNOT run that use Shader 3.0? The game plays on best performance but looks terrible. I want to run it on the best graphics I can without it crashing (I assume due to shading).

I'll post the results of the benchmark, just for giggles.

Share this post


Link to post
Share on other sites

I'm amazed it runs at all :)

performance figures wise it's truly awful but if you've got it running then great news.

Share this post


Link to post
Share on other sites
Thanks for the idea to use the benchmark. I'll try that tonight.

Do you happen to know which graphics settings I CANNOT run that use Shader 3.0? The game plays on best performance but looks terrible. I want to run it on the best graphics I can without it crashing (I assume due to shading).

I'll post the results of the benchmark, just for giggles.

I'd probably kick the shadows off, turn the radial clutter down as much as possible. make sure you set the visible player limit to low. maybe click that "low memory usage" option to. and keep everything else at the normal settings.

heres the specs for your chip

http://www.amd.com/us/products/notebook/graphics/ati-mobility-hd-x1000/x1400/Pages/x1400-specs.aspx

might also try and pull the most recent drivers directly from ATi/AMD's website and not dell.

Share this post


Link to post
Share on other sites

Thanks for the links and advice.

I've got it set where I can play with high player visibility but it turns my hand green and I can't see any bushes. Someone in game told me that this was a bug that allowed me to see people through cover. Not sure how to turn it off so I can find cover myself.

Looking at Mobility Modder, which version of Catalyst do I need to install? 8.12 is the most recent for my OS. I'm apparently running 1.12 now. O_o

I would love to download the driver directly from ATI, but they don't let me because it's a laptop. They say I should get the driver from Dell.

Share this post


Link to post
Share on other sites

This might be what you want.

http://support.amd.com/us/gpudownload/windows/Legacy/Pages/radeonaiw_xp.aspx?type=2.4.1&product=2.4.1.3.13〈=English

8.12 you can find here:

http://www.driverheavendownloads.net/ati.htm

I'd recommend this driver set as a good compromise for your card.

http://support.amd.com/us/gpudownload/windows/9-3/Pages/radeonaiw_xp.aspx?〈=English

Download any of those and run mobility modder to modify the driver before installing.

Don't forget to completely uninstall your current driver and use a driver cleaner program to remove what's left of it.

Edited by munchkin

Share this post


Link to post
Share on other sites
This might be what you want.

http://support.amd.com/us/gpudownload/windows/Legacy/Pages/radeonaiw_xp.aspx?type=2.4.1&product=2.4.1.3.13〈=English

8.12 you can find here:

http://www.driverheavendownloads.net/ati.htm

I'd recommend this driver set as a good compromise for your card.

http://support.amd.com/us/gpudownload/windows/9-3/Pages/radeonaiw_xp.aspx?〈=English

Download any of those and run mobility modder to modify the driver before installing.

Don't forget to completely uninstall your current driver and use a driver cleaner program to remove what's left of it.

SUCCESS.

I uninstalled my driver, ran drivercleaner in safemode, and ran regcleaner (just for kicks). CAB cleaner failed for some reason, but that didn't seem to affect things. I rebooted and installed the modded driver.

Battleground now runs smoothly in best performance mode. I have bushes and I no longer go blind when I get hurt. I also no longer get the Shader 1.2 error message on loading.

I'll probably tweak with the graphics settings in game to see what I can do without losing the ability to play, but being able to play in Best Performance mode is definitely good enough.

MUCH thanks to those of you who walked me through this. Cheers.

Share this post


Link to post
Share on other sites

BTW, I got 781 3Dmarks in 3dmark06. This is laughable, but about right for this video card (well, a little lower than others, actually).

But before installing the modded driver, I wasn't able to run the 3dmark06 test at all. So that's quite an improvement.

Share this post


Link to post
Share on other sites

Hmm, I'm only getting 1 frame per second during prime time. Is there any way to improve my fps? I'm running on straight best performance. I had good fps before the 1.31 update.

Share this post


Link to post
Share on other sites

If you go into CCC and set everything on lowest settings. AA and AF on application control, Catalyst AI on advanced (try it on standard as well and see if there's any difference), mipmap on high performance, anti-aliasing mode on performance, triple buffering on (and set the vertical refresh/vsync to on in both ccc and the game)

If that doesn't help then there's not really anything else you can do.

Share this post


Link to post
Share on other sites

Hello I seem to have the same exact problem as you did, and I get stuck on the Mobility Modder parrt of the solution. Please help.

Share this post


Link to post
Share on other sites

you probably need a faster and more capable video card...

I started playing this game when it first came out on an pentium 3 processor and ati radeon 32mb video card...game played fine. but over time with more and more patches and upgrades to the game...that hardware no longer worked and I had to upgrade.

Share this post


Link to post
Share on other sites
Sign in to follow this  
Followers 0

  • Recently Browsing   0 members

    No registered users viewing this page.